package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.OdsAirRegionHourI;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 【请填写功能名称】对象 ods_air_region_hour_i
 *
 * @author szhpt
 * @date 2023-06-27*/
@ApiModel(value = "【请填写功能名称】")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsAirRegionHourIQuery extends PageQuery
{

    @ApiModelProperty(value = "$column.columnComment")
    private String id;
    @ApiModelProperty(value = "$column.columnComment")
    private String datatime;
    @ApiModelProperty(value = "$column.columnComment")
    private String uploadtime;
    @ApiModelProperty(value = "$column.columnComment")
    private String value2473;
    @ApiModelProperty(value = "$column.columnComment")
    private String value2481;
    @ApiModelProperty(value = "$column.columnComment")
    private String value2483;
    @ApiModelProperty(value = "$column.columnComment")
    private String value2484;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4402;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4404;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4405;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4406;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4407;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4467;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4468;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4471;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4d71;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4472;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4474;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4482;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4485;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4486;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4487;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4488;
    @ApiModelProperty(value = "$column.columnComment")
    private String value4489;
    @ApiModelProperty(value = "$column.columnComment")
    private String value448a;
    @ApiModelProperty(value = "$column.columnComment")
    private String value448b;
    @ApiModelProperty(value = "$column.columnComment")
    private String status2473;
    @ApiModelProperty(value = "$column.columnComment")
    private String status2481;
    @ApiModelProperty(value = "$column.columnComment")
    private String status2483;
    @ApiModelProperty(value = "$column.columnComment")
    private String status2484;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4402;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4404;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4405;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4406;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4407;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4467;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4468;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4471;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4d71;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4472;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4474;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4482;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4485;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4486;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4487;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4488;
    @ApiModelProperty(value = "$column.columnComment")
    private String status4489;
    @ApiModelProperty(value = "$column.columnComment")
    private String status448a;
    @ApiModelProperty(value = "$column.columnComment")
    private String status448b;
    @ApiModelProperty(value = "$column.columnComment")
    private String code;
    @ApiModelProperty(value = "$column.columnComment")
    private String name;
    @ApiModelProperty(value = "$column.columnComment")
    private String cityname;
    @ApiModelProperty(value = "$column.columnComment")
    private String provincename;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<OdsAirRegionHourI> createLambdaQueryWrapper(OdsAirRegionHourIQuery query) {
        QueryWrapper<OdsAirRegionHourI> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getDatatime()), "datatime", query.getDatatime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUploadtime()), "uploadtime", query.getUploadtime());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue2473()), "value_2473", query.getValue2473());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue2481()), "value_2481", query.getValue2481());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue2483()), "value_2483", query.getValue2483());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue2484()), "value_2484", query.getValue2484());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4402()), "value_4402", query.getValue4402());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4404()), "value_4404", query.getValue4404());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4405()), "value_4405", query.getValue4405());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4406()), "value_4406", query.getValue4406());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4407()), "value_4407", query.getValue4407());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4467()), "value_4467", query.getValue4467());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4468()), "value_4468", query.getValue4468());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4471()), "value_4471", query.getValue4471());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4d71()), "value_4D71", query.getValue4d71());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4472()), "value_4472", query.getValue4472());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4474()), "value_4474", query.getValue4474());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4482()), "value_4482", query.getValue4482());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4485()), "value_4485", query.getValue4485());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4486()), "value_4486", query.getValue4486());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4487()), "value_4487", query.getValue4487());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4488()), "value_4488", query.getValue4488());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue4489()), "value_4489", query.getValue4489());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue448a()), "value_448A", query.getValue448a());
        wrapper.eq(ObjectUtil.isNotNull(query.getValue448b()), "value_448B", query.getValue448b());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus2473()), "status_2473", query.getStatus2473());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus2481()), "status_2481", query.getStatus2481());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus2483()), "status_2483", query.getStatus2483());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus2484()), "status_2484", query.getStatus2484());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4402()), "status_4402", query.getStatus4402());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4404()), "status_4404", query.getStatus4404());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4405()), "status_4405", query.getStatus4405());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4406()), "status_4406", query.getStatus4406());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4407()), "status_4407", query.getStatus4407());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4467()), "status_4467", query.getStatus4467());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4468()), "status_4468", query.getStatus4468());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4471()), "status_4471", query.getStatus4471());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4d71()), "status_4D71", query.getStatus4d71());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4472()), "status_4472", query.getStatus4472());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4474()), "status_4474", query.getStatus4474());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4482()), "status_4482", query.getStatus4482());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4485()), "status_4485", query.getStatus4485());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4486()), "status_4486", query.getStatus4486());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4487()), "status_4487", query.getStatus4487());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4488()), "status_4488", query.getStatus4488());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus4489()), "status_4489", query.getStatus4489());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus448a()), "status_448A", query.getStatus448a());
        wrapper.eq(ObjectUtil.isNotNull(query.getStatus448b()), "status_448B", query.getStatus448b());
        wrapper.eq(ObjectUtil.isNotNull(query.getCode()), "code", query.getCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getName()), "name", query.getName());
        wrapper.eq(ObjectUtil.isNotNull(query.getCityname()), "cityname", query.getCityname());
        wrapper.eq(ObjectUtil.isNotNull(query.getProvincename()), "provincename", query.getProvincename());
        return wrapper;
        }
}
